## org.apache.poi.xssf.usermodel
Class XSSFTextBox

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFShape
          org.apache.poi.xssf.usermodel.XSSFSimpleShape
              org.apache.poi.xssf.usermodel.XSSFTextBox

    public final class XSSFTextBox

extends XSSFSimpleShape

Represents a text box in a SpreadsheetML drawing.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`anchor, drawing, EMU_PER_PIXEL, EMU_PER_POINT, parent, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` `XSSFTextBox(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape ctShape)`

Method Summary

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFSimpleShape
`getCTShape, getShapeProperties, getShapeType, prototype, setShapeType, setText`

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`getAnchor, getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFTextBox

    protected XSSFTextBox(XSSFDrawing drawing,
                          org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape ctShape)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.